package com.jay.monitor.data.core.model.serializable;

import com.jay.monitor.data.core.enums.MsgTypeEnums;
import com.jay.monitor.data.core.model.serializable.base.BaseDTO;

/**
 * SQL相关的数据
 *
 * @author ： liukx
 * @time ： 2020/8/26 - 16:31
 */
public class SQLMonitorDTO extends BaseDTO {
    /**
     * sql编号
     */
    private String sqlId;
    /**
     * sql内容
     */
    private String sqlText;
    /**
     * SQL类型
     */
    private Integer sqlType;
    /**
     * 返回行数
     */
    private String resultRow;
    /**
     * 获取读取的数据大小
     */
    private Long readStringLength;
    /**
     * 请求耗时
     */
    private String requestTime;

    /**
     * 最大并发数
     */
    private Integer concurrentMax;

    public SQLMonitorDTO() {
        super(MsgTypeEnums.SQL);
    }

    public String getSqlId() {
        return sqlId;
    }

    public void setSqlId(String sqlId) {
        this.sqlId = sqlId;
    }

    public String getSqlText() {
        return sqlText;
    }

    public void setSqlText(String sqlText) {
        this.sqlText = sqlText;
    }

    public Integer getSqlType() {
        return sqlType;
    }

    public void setSqlType(Integer sqlType) {
        this.sqlType = sqlType;
    }

    public String getResultRow() {
        return resultRow;
    }

    public void setResultRow(String resultRow) {
        this.resultRow = resultRow;
    }

    public Long getReadStringLength() {
        return readStringLength;
    }

    public void setReadStringLength(Long readStringLength) {
        this.readStringLength = readStringLength;
    }

    public String getRequestTime() {
        return requestTime;
    }

    public void setRequestTime(String requestTime) {
        this.requestTime = requestTime;
    }

    public Integer getConcurrentMax() {
        return concurrentMax;
    }

    public void setConcurrentMax(Integer concurrentMax) {
        this.concurrentMax = concurrentMax;
    }
}
